package SIP;

public interface javaSipEvents {
    void Registering(SIP_Request req);
    void RegisterSuccesful(SIP_Response resp);
    void RegisterFailed(SIP_Response resp);
    void IncomingCall(SIP_Request req, SIP_Response resp);
    void RemoteHangUp(SIP_Request req);
    void Ringing(SIP_Response resp);
    void CalleePickup(SIP_Response resp);
}
